C_______________________________________________________________________________
C     Subrutina Generar, de dificil comprension y cuyo objetivo se desconoce
C
C     Utiliza las funciones intrinsecas:
C
C         srand(iseed) -> usa iseed (entero no negativo) como semilla de una
C                         secuencia de numeros pseudo-aleatorios
C         rand()       -> devuelve un numero pseudo-aleatorio
C                         (real*4) en el rango 0.0 - 1.0
C_______________________________________________________________________________

      Subroutine Generar(n,v)
      implicit real*8 (a-h,o-z)
      dimension v(n)

    1 write(6,100) ' Introduce semilla (No. entero > 0): '
  100   format(/a,$)
        read(5,*) iseed
	if (iseed.lt.0) goto 1

      call srand(iseed)
	i=1
    2 v(i)=dble(rand())
        i=i+1
	if (i.le.n) goto 2

      return
      end
